import { EntityMetadata, Repository } from 'typeorm';
export declare abstract class AbstractQueryBuilder<Entity> {
    readonly repository: Repository<Entity>;
    readonly entityMetadata: EntityMetadata;
    protected constructor(repository: Repository<Entity>);
    fieldToDbCol<F extends keyof Entity>(field: F): string;
    escape(str: string): string;
}
